Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.support
[Java] Class MetaClassRegistryCleaner

    java.lang.Object
      org.codehaus.groovy.grails.cli.support.MetaClassRegistryCleaner

All Implemented Interfaces:
  groovy.lang.MetaClassRegistryChangeEventListener

    @java.lang.SuppressWarnings("rawtypes")
    public class MetaClassRegistryCleaner
    extends java.lang.Object

Allows clean-up of changes made to the MetaClassRegistry.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static void` | `addAlteredMetaClass(java.lang.Class cls, groovy.lang.MetaClass altered)`
`void` | `clean()`
`static void` | `cleanAndRemove(MetaClassRegistryCleaner cleaner)`
`static MetaClassRegistryCleaner` | `createAndRegister()`
`void` | `updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addAlteredMetaClass

    public static void addAlteredMetaClass(java.lang.Class cls, groovy.lang.MetaClass altered)

### clean

    public void clean()

### cleanAndRemove

    public static void cleanAndRemove(MetaClassRegistryCleaner cleaner)

### createAndRegister

    public static MetaClassRegistryCleaner createAndRegister()

### updateConstantMetaClass

    public void updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)

Groovy Documentation